%global install_loc     %{_datadir}/eclipse/dropins/slice2java
%global date            20111024

Summary:        A plugin that integrates Eclipse with Ice object middleware
Name:           eclipse-slice2java
Version:        3.4.2.%{date}
Release:        2%{?dist}
License:        EPL
Group:          Development/Tools
URL:            http://www.zeroc.com/eclipse.html
Source0:        http://www.zeroc.com/download/eclipse/Slice2JavaPlugin-%{version}.tar.gz
# Adapted from the instructions at http://www.zeroc.com/eclipse.html
Source1:        eclipse-slice2java-README

BuildRequires: eclipse-pde >= 1:3.4.0

Requires: eclipse-platform >= 3.4.0
Requires: ice-java >= 3.4

# No Ice on this arch, so the plugin doesn't make sense
ExcludeArch:   ppc64

# Can this coexist with the ExcludeArch above?
BuildArch:     noarch

%description
The slice2java plugin manages the translation of Slice to Java.
The plugin computes dependencies between Slice files and automatically
recompiles Slice files when necessary. The plugin also manages
the generated code to eliminate obsolete files.

%prep
%setup -q -n Slice2JavaPlugin-%{version}
cp %{SOURCE1} ./README

%build
%{_libdir}/eclipse/buildscripts/pdebuild

%install
%{__rm} -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}
%{__unzip} -q -d $RPM_BUILD_ROOT%{install_loc} \
     build/rpmBuild/com.zeroc.Slice2Java.zip

%files
%doc README CHANGES
%{install_loc}

%changelog
* Wed Feb 28 2012 Mary Ellen Foster <mefoster at gmail.com> - 3.4.2.20111024-2
- Remove obsolete BuildRoot and Clean sections

* Fri Feb 24 2012 Mary Ellen Foster <mefoster at gmail.com> - 3.4.2.20111024-1
- Update to newest version in preparation for resurrecting package

* Wed Nov 25 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1.20091005-1
- Update to newer version
- Include changelog in documentation

* Wed Nov 25 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1.20090330-2
- Remove GCJ bits
- Remove unnecessary BuildRequirement and arguments to pdebuild
- Fix typo in README file
- Add date to version string
- Clean up use of macros

* Wed Jul  8 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1-1
- Initial package
